# Uses of Interface
org.eclipse.zest.layouts.interfaces.PruningListener

Packages that use PruningListener
Package
Description
org.eclipse.zest.layouts.interfaces

## Uses of PruningListener in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces with parameters of type PruningListener
Modifier and Type
Method
Description
`void`
LayoutContext.`addPruningListener(PruningListener listener)`
Adds a listener to the context that will be notified about changes in graph pruning, that is hiding and showing of nodes.
`void`
LayoutContext.`removePruningListener(PruningListener listener)`
Removes a pruning structure listener from this context.